org.apache.flume

## Interface SinkFactory

- All Known Implementing Classes:
    DefaultSinkFactory

      public interface SinkFactory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sink` | `create(String name, String type)`
    `Class<? extends Sink>` | `getClass(String type)`

- - ### Method Detail

    - #### create

          Sink create(String name,
                    String type)
                      throws FlumeException

      Throws:
        `FlumeException`

    - #### getClass

          Class<? extends Sink> getClass(String type)
                                         throws FlumeException

      Throws:
        `FlumeException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.